Bug 16963 - Remove the use of "onclick" from subscription add template
Summary: Remove the use of "onclick" from subscription add template
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-22 15:29 UTC by Owen Leonard
Modified: 2017-06-14 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16963 - Remove the use of "onclick" from subscription add template (13.55 KB, patch)
2016-07-22 18:08 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16963 - Remove the use of "onclick" from subscription add template (13.58 KB, patch)
2016-08-23 02:42 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16963 - Remove the use of "onclick" from subscription add template (13.64 KB, patch)
2016-08-23 10:52 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-07-22 15:29:47 UTC
There are many uses of "onclick" and other event attributes in the subscription add template. This bug will track changes to subscription-add.tt.
Comment 1 Owen Leonard 2016-07-22 18:08:55 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2016-08-23 02:42:15 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-23 10:52:38 UTC
Created attachment 54763 [details] [review]
Bug 16963 - Remove the use of "onclick" from subscription add template

This patch removes the use of event attributes from the subscription add
template and the template for testing prediction patterns. Events are
now defined in the JavaScript.

To test, go to Serials -> New subscription.

- Test that the "Search for vendor," "Search for record," and "Create
  record" links work correctly.
- Test the "Next" button without entering a vendor or a biblionumber.
  You should be warned about selecting a vendor and biblionumber.
- After selecting a bibliographic record to link to the subscription,
  click the "Next" button. The second section of the subscription add
  form should be displayed.
- Under frequency, choose "1/day."
- Confirm that the "Show advanced pattern" link correctly toggles
  display of the advanced pattern form.
- Under the advanced pattern form, test the "Modify pattern" button. It
  should enable editing in the form.
- Test the "Cancel modifications" and "Save as new pattern" buttons.
- Test the "Test prediction pattern" button.
  - In the "Prediction pattern" box, test that the checkboxes next to
    each day of the week, when checked, trigger the corresponding issue
    number to be marked as "not published."
- Finally, confirm that your subscription is saved correctly.

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-09-09 14:21:45 UTC
Pushed to master for 16.11, thanks Owen!